package inf101.v18.rogue101.items;

import inf101.v18.rogue101.game.IGame;
import inf101.v18.rogue101.objects.IItem;

import java.util.ArrayList;
import java.util.List;

public class Chest implements IContainer, IStatic {
    private List<IItem> container;

    public Chest() {
        this.container = new ArrayList<>();
    }

    public Chest(List<IItem> items) {
        this.container = items;
    }

    @Override
    public IItem get(int i) {
        return null;
    }

    @Override
    public List getContent() {
        return container;
    }

    @Override
    public boolean isFull() {
        return false;
    }

    @Override
    public int getCurrentHealth() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 0;
    }

    @Override
    public String getName() {
        return "Chest";
    }

    @Override
    public String getInteractMessage() {
        return "Items in " + getName() + ": ";
    }

    @Override
    public int getSize() {
        return 10000;
    }

    public String getPrintSymbol() {
        return "\uD83D\uDDC3";
    }

    @Override
    public String getSymbol() {
        return "C";
    }

    @Override
    public int handleDamage(IGame game, IItem source, int amount) {
        return 0;
    }
}
